## nginx 1.28.0

=== debian/changelog ===
nginx (1.28.0-6ppa~stable) stable; urgency=medium

  * Update to Nginx 1.28.0 stable source

 -- WordOps <thomas@virtubox.net>  Tue, 06 May 2025 13:48:48 +0200
