=== debian/control ===
Source: nginx
Section: httpd
Priority: optional
Maintainer: Thomas SUCHON <thomas@virtubox.net>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dpkg-dev (>= 1.15.5),
               libexpat-dev,
               libgeoip-dev,
               libbrotli-dev,
               libluajit-5.1-2,
               libmhash-dev,
               libpam0g-dev,
               libgmp-dev,
               libpcre3-dev,
               libpcre2-dev,
               libperl-dev,
               libssl-dev,
               libxslt1-dev,
               po-debconf,
               zlib1g-dev
Standards-Version: 3.9.7
Homepage: http://nginx.net
Vcs-Git: git://anonscm.debian.org/collab-maint/nginx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nginx.git;a=summary
XS-Testsuite: autopkgtest

Package: nginx
Architecture: all
Depends: nginx-full   (>= ${source:Version}) |
         nginx-light  (>= ${source:Version}) |
         nginx-extras (>= ${source:Version}) ,
         nginx-full   (<< ${source:Version}.1~) |
         nginx-light  (<< ${source:Version}.1~) |
         nginx-extras (<< ${source:Version}.1~) ,
         ${misc:Depends}
Description: small, powerful, scalable web/proxy server
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This is a dependency package to install either nginx-full (by default) or
 nginx-light.

Package: nginx-doc
Architecture: all
Section: doc
Depends: lsb-base (>= 3.2-14), ${misc:Depends}
Description: small, powerful, scalable web/proxy server - documentation
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides extra documentation to help unleash the power of Nginx.

Package: nginx-common
Architecture: all
Depends: lsb-base (>= 3.2-14), ${misc:Depends}
Replaces: nginx (<< 0.8.54-4),
          nginx-extras (<< 0.8.54-4),
          nginx-full (<< 0.8.54-4),
          nginx-light (<< 0.8.54-4),
          nginx-custom (<< 0.8.54-4)
Breaks: nginx (<< 0.8.54-4),
        nginx-extras (<< 0.8.54-4),
        nginx-full (<< 0.8.54-4),
        nginx-light (<< 0.8.54-4),
        nginx-custom (<< 0.8.54-4)
Suggests: fcgiwrap, nginx-doc, ssl-cert
Description: small, powerful, scalable web/proxy server - common files
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package contains base configuration files used by all versions of
 nginx.

Package: nginx-full
Architecture: any
Depends: nginx-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: nginx (<< 1.4.5-1)
Provides: httpd, httpd-cgi, nginx
Conflicts: nginx-light, nginx-extras, nginx-custom
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server (standard version)
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides a version of nginx with the complete set of
 standard modules included (but omitting some of those included in
 nginx-extra).
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Browser,
 Charset, Empty GIF, FastCGI, Geo, Gzip, Headers, Index, Limit Requests,
 Limit Zone, Log, Map, Memcached, Proxy, Referer, Rewrite, SCGI,
 Split Clients, SSI, Upstream, User ID, UWSGI.
 .
 OPTIONAL HTTP MODULES: Addition, Auth Request, Debug, GeoIP, Gzip
 Precompression, HTTP Sub, IPv6, Real IP, Spdy, SSL, Stub Status,
 Substitution, WebDAV, XSLT.
 .
 MAIL MODULES: Mail Core, IMAP, POP3, SMTP, SSL.
 .
 THIRD PARTY MODULES: Auth PAM, DAV Ext, Echo, HTTP Substitution Filter,
 Upstream Fair Queue.

Package: nginx-full-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nginx-full (= ${binary:Version}), ${misc:Depends}
Conflicts: nginx-light-dbg, nginx-extras-dbg, nginx-custom-dbg
Description: nginx web/proxy server (standard version) - debugging symbols
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides debugging symbols for nginx-full, to assist in debugging
 issues that you may find. It should not be required for normal operation.

Package: nginx-light
Architecture: any
Priority: extra
Depends: nginx-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: nginx (<< 1.4.5-1)
Provides: httpd, httpd-cgi, nginx
Conflicts: nginx-full, nginx-extras, nginx-custom
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server (basic version)
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides a very light version of nginx with only the
 minimal set of features and modules.
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Charset,
 Empty GIF, FastCGI, Gzip, Headers, Index, Log, Map, Proxy, Rewrite, Upstream.
 .
 OPTIONAL HTTP MODULES: Auth Request, Debug, Gzip Precompression, IPv6, Real
 Ip, SSL, Stub Status.
 .
 THIRD PARTY MODULES: Echo.

Package: nginx-light-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nginx-light (= ${binary:Version}), ${misc:Depends}
Conflicts: nginx-full-dbg, nginx-extras-dbg, nginx-custom-dbg
Description: nginx web/proxy server (basic version) - debugging symbols
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides debugging symbols for nginx-light, to assist in
 debugging issues that you may find. It should not be required for normal
 operation.

Package: nginx-extras
Architecture: any
Priority: extra
Depends: nginx-common (= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Breaks: nginx (<< 1.4.5-1)
Provides: httpd, httpd-cgi, nginx
Conflicts: nginx-full, nginx-light, nginx-custom
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server (extended version)
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides a version of nginx with the standard modules, plus
 extra features and modules such as the Perl module, which allows the
 addition of Perl in configuration files.
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Browser,
 Charset, Empty GIF, FastCGI, Geo, Gzip, Headers, Index, Limit Requests,
 Limit Zone, Log, Map, Memcached, Proxy, Referer, Rewrite, SCGI,
 Split Clients, SSI, Upstream, User ID, UWSGI.
 .
 OPTIONAL HTTP MODULES: Addition, Auth Request, Debug, Embedded Perl, FLV,
 GeoIP, Gzip Precompression, IPv6, MP4, Random Index, Real IP,
 Secure Link, Spdy, SSL, Stub Status, Substitution, WebDAV, XSLT.
 .
 MAIL MODULES: Mail Core, IMAP, POP3, SMTP, SSL.
 .
 THIRD PARTY MODULES: Auth PAM, Chunkin, DAV Ext, Echo, Embedded Lua,
 Fancy Index, HttpHeadersMore, HTTP Substitution Filter, http push,
 Nginx Development Kit, Upload Progress, Upstream Fair Queue, Brotli, VTS.

Package: nginx-extras-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nginx-extras (= ${binary:Version}), ${misc:Depends}
Conflicts: nginx-full-dbg, nginx-light-dbg, nginx-custom-dbg
Description: nginx web/proxy server (extended version) - debugging symbols
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides debugging symbols for nginx-extras, to assist in
 debugging issues that you may find. It should not be required for normal
 operation.

Package: nginx-custom
Architecture: any
Depends: nginx-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: nginx (<< 1.4.5-1)
Provides: httpd, httpd-cgi, nginx
Conflicts: nginx-full, nginx-light, nginx-extras, nginx-ee
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server with custom setup
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP servers.
 .
 This package provides a version of nginx with the complete set of
 standard modules.
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Browser,
 Charset, Empty GIF, FastCGI, Geo, Gzip, Headers, Index, Limit Requests,
 Limit Zone, Log, Map, Memcached, Proxy, Referer, Rewrite, SCGI,
 Split Clients, SSI, Upstream, User ID, UWSGI.
 .
 OPTIONAL HTTP MODULES: Addition, Auth Request, Debug, GeoIP, Gzip
 Precompression, HTTP Sub, IPv6, Real IP, Spdy, SSL, Stub Status,
 Substitution, WebDAV, XSLT.
 .
 THIRD PARTY MODULES: Auth PAM, DAV Ext, Echo, HTTP Substitution Filter,
 Upstream Fair Queue, Headers More, Cache Purge, Brotli, VTS.

Package: nginx-custom-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nginx-custom (= ${binary:Version}), ${misc:Depends}
Conflicts: nginx-full-dbg, nginx-light-dbg, nginx-extras-dbg
Description: nginx web/proxy server (standard version) - debugging symbols
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP server.
 .
 This package provides debugging symbols for nginx-custom, to assist in debugging
 issues that you may find. It should not be required for normal operation.

Package: nginx-wo
Architecture: any
Depends: nginx-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: nginx (<< 1.4.5-1)
Provides: httpd, httpd-cgi, nginx
Conflicts: nginx-full, nginx-light, nginx-extras, nginx-ee
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server with custom setup
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP servers.
 .
 This package provides a version of nginx with the complete set of
 standard modules.
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Browser,
 Charset, Empty GIF, FastCGI, Geo, Gzip, Headers, Index, Limit Requests,
 Limit Zone, Log, Map, Memcached, Proxy, Referer, Rewrite, SCGI,
 Split Clients, SSI, Upstream, User ID, UWSGI.
 .
 OPTIONAL HTTP MODULES: Addition, Auth Request, Debug, GeoIP, Gzip
 Precompression, HTTP Sub, IPv6, Real IP, Spdy, SSL, Stub Status,
 Substitution, WebDAV, XSLT.
 .
 THIRD PARTY MODULES: Auth PAM, DAV Ext, Echo, HTTP Substitution Filter,
 Upstream Fair Queue, Headers More, Cache Purge, Brotli, VTS.

Package: nginx-wo-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nginx-wo (= ${binary:Version}), ${misc:Depends}
Conflicts: nginx-full-dbg, nginx-light-dbg, nginx-extras-dbg
Description: nginx web/proxy server (standard version) - debugging symbols
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP server.
 .
