## nginx 1.28.1

=== debian/changelog ===
nginx (1.28.1-1+0~20260118.44+debian11~1.gbpfd8b57) unstable; urgency=medium

  ** SNAPSHOT build @fd8b574bf768f26e58bd83b1e417a2e8ae4f9316 **

  * Update nginx PPA

 -- Ondřej Surý <ondrej@sury.org>  Sun, 18 Jan 2026 16:36:25 +0100

nginx (1.28.1-1) unstable; urgency=medium

  * Change d/ubuntu-ppa to nginx-stable
  * Bump libnginx-mod-http-uploadprogress version
  * New upstream version 1.28.1
  * nginx ABI release: nginx-abi-1.28.1-1

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Jan 2026 16:30:22 +0100

nginx (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * nginx ABI release: nginx-abi-1.28.0-1
  * Add Breaks for unsupported libnginx-mod-ssl-ct module

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Apr 2025 09:38:28 +0200

nginx (1.27.5-1) unstable; urgency=medium

  * New upstream version 1.27.5
  * nginx ABI release: nginx-abi-1.27.5-1

 -- Ondřej Surý <ondrej@debian.org>  Sat, 19 Apr 2025 18:17:07 +0200

nginx (1.27.4-1) unstable; urgency=medium

  * New upstream version 1.27.4
  * nginx ABI release: nginx-abi-1.17.4-1

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Feb 2025 14:52:20 +0100

nginx (1.27.1-1) unstable; urgency=medium

  * New upstream version 1.27.1
  * nginx ABI release: nginx-abi-1.17.1-1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 16 Aug 2024 18:14:32 +0200

nginx (1.27.0-2) unstable; urgency=medium

  * Add Breaks for libnginx-mod-brotli (in general)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jun 2024 19:32:58 +0200

nginx (1.27.0-1) unstable; urgency=medium

  * Bump versions to 1.27.0
  * New upstream version 1.27.0
  * nginx ABI release: nginx-abi-1.27.0-1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Jun 2024 09:05:44 +0200

nginx (1.25.5-3) unstable; urgency=medium

  * Bump the minimal module versions
  * Generate the Breaks/Replaces based on the current version

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 May 2024 12:36:26 +0200

nginx (1.25.5-2) unstable; urgency=medium

  * nginx ABI release: nginx-abi-1.25.5-1

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Apr 2024 13:34:35 +0200

nginx (1.25.5-1) unstable; urgency=medium

  * Add Roman Arutyunyan’s PGP public key
  * New upstream version 1.25.5

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Apr 2024 18:44:37 +0200

nginx (1.25.4-4) unstable; urgency=medium

  * Update Breaks/Replaces for libnginx-mod-brotli to << 1:1.0.0~rc~

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Mar 2024 10:01:59 +0100

nginx (1.25.4-3) unstable; urgency=medium

  * Add Breaks/Replaces for libnginx-mod-brotli (<< 1:1.0.0~rc+1.25.4-6~)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Mar 2024 12:55:56 +0100

nginx (1.25.4-2) unstable; urgency=medium

  * Update Breaks-Replaces for the previous DEB.SURY.ORG packaging

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Feb 2024 17:42:03 +0100
