=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://nginx.org/download/nginx-(1\.28\.\d+)\.tar\.gz
